petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSFRegisterAll

Registers all the PetscSF communication implementations

### Synopsis

    #include "petscsf.h"
    PetscErrorCode  PetscSFRegisterAll(void)

Not Collective

### Keywords

PetscSF, register, all

### See Also

PetscSFRegisterDestroy()

### Level

advanced

### Location

src/vec/is/sf/interface/sfregi.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages